# StatusBarControl

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Component](/api/v3.0/wisej.base/general/wisej.base.component.md)
  * [Component](/api/v3.0/wisej.web/general/wisej.web.component.md)
    * [StatusBarPanel](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md)
      * [StatusBarControl](/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md)

Represents a panel in a [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control that can host any [Control](#control).

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBarControl : StatusBarPanel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBarControl
    Inherits StatusBarPanel
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)StatusBarControl()

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Control

[Control](/api/v3.0/wisej.web/general/control.md): Returns or sets the [Control](/api/v3.0/wisej.web/general/control.md) to be hosted.

## Implements

| Name                                                                                   | Description                                    |
| -------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
